import { initI18n, I18NextProvider } from '@kevisual/components/translate/index.tsx';
import { ToastContainer } from 'react-toastify';
import { basename } from './modules/basename';
type Props = {
  children: React.ReactNode;
  basename?: string;
};
// initI18n('');
export const MarkProvider = (props: Props) => {
  return (
    <I18NextProvider basename={props.basename || basename} noUse={false}>
      <ToastContainer />
      {props.children}
    </I18NextProvider>
  );
};
